
QGIS Application - Bug report #11213

Crash when saving map after removing Atlas layer

2014-09-16 09:54 AM - Spencer Gardner

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category:

Affected QGIS version:2.4.0 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 19523

Description

I just experienced a crash while saving a map. I opened the map, removed a few layers, and then saved resulting in the crash. I can't be

certain but I suspect this is related to one of the deleted layers being used for Atlas generation. The crash occurred repeatedly until I also

deleted the composer map that used the Atlas feature layer in question. This resulted in the document saving as expected with no

corruption.

After each crash, the saved map document was corrupted and unusable. Fortunately, I was working from a copy and was able to restore

the original.

History

#1 - 2014-09-16 09:58 AM - Spencer Gardner

Crash dump shared via Dropbox since it's too large to attach:

https://www.dropbox.com/s/j616tf17wqfxlti/qgis-20140916-113503-5560-6448-8fdd08a.dmp?dl=0

#2 - 2014-09-25 07:16 AM - Denis Rouzaud

- Assignee set to Nyall Dawson

Nyall, you fixed something recently, no?

#3 - 2014-10-26 10:14 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Should be fixed - please reopen if you encounter this again.
